/* Demonstrate casting int as double.
   Note: name each class as a noun, not a verb.
*/
class CastUsage
{
  public static void main(String[] args)
  {
    int i;

    for(i = 0; i < 5; i++)
    {
      // division with integer
      System.out.println(i + " / 3: " + i / 3);
      // division with integer product cast as double
      System.out.println(i + " / 3 with fractions: "
                         + (double) i / 3);
      System.out.println("digital error " + .1 * 6);
      System.out.println();
    }
    // final makes the value a constant, cannot be assigned a new value later on
    final double NORMAL_TEMPERATURE = 98.6;
    int integerVersionOfNormalTemperature = (int)NORMAL_TEMPERATURE;
    System.out.println("Normal temperature as double is: " + NORMAL_TEMPERATURE + " but if we cast as an int, the number is truncated instead of being rounded up: " + integerVersionOfNormalTemperature);
  }
}