public class DemoPauseInExecutionWithMeasurement
{
  public static void main(String[] args)
  {
	try // compiler requires try/catch blocks when working with threads
	{
		int i;
		System.out.println("Computers are stupid but fast ... ");
		for(i = 0; i < 23; i++)
		{
			if (i <= 5)
			{
				System.out.println(i);
			}
			else if (i < 5 | i < 10)
			{
				System.out.println("I'll take it slow for a while ... ");
				double startTime = System.nanoTime();
				Thread.sleep(1500); // pause for 1.5 seconds
				double estimatedTime = (System.nanoTime() - startTime)/1000000000;
				// Print out how close to 1.5 seconds
				System.out.println(estimatedTime);

				System.out.println(i);
			}
			else if (i == 10)
			{
				System.out.println("Back to full speed ... ");
			}
			else
			{
				System.out.println(i);
			}
		}
	} // end try block
	catch(InterruptedException e) // compiler requires try/catch blocks when working with threads
	{
		System.out.println(e);
    }
  }
}