// Infinite loop
class Infinite
{
  public static void main(String[] args)
    throws java.io.IOException
    {
       char ch, answer = 'K';

       System.out.println("I'm thinking of a letter between A and Z.");
       System.out.println("Can you guess it? I'll give you an infinite number of tries");

       for (int i=0;i<1;)  // no initialization, no test, no increment mean an infinite loop
       {
           ch = (char)System.in.read(); // get a char
           if(ch == answer)
           {
               System.out.println(ch + " is correct **");
               break;
           }
           // trap the line feed (10) and carriage return (13)
           else if(ch == '\n' || ch == 13) continue;
         else
           {
             System.out.print(ch + "...Sorry, that number is wrong. It is ");

             // a nested if
             if(ch < answer)
             {
               System.out.println("too low, so try again");
             }
             else
             {
               System.out.println("too high, so try again");
             }

            } // end else
       } // end for
   } // end main
} // end class
