public class SwitchWithEnumForDaysOfTheWeek
{
    Day day;

	public enum Day
	{
		SUNDAY, MONDAY, TUESDAY, WEDNESDAY,
		THURSDAY, FRIDAY, SATURDAY
	}

    public SwitchWithEnumForDaysOfTheWeek(Day day)
    {
        this.day = day;
    }

    public void tellItLikeItIs()
    {
        switch (day)
        {
            case MONDAY:
                System.out.println("Mondays are bad.");
                break;

            case FRIDAY:
                System.out.println("Fridays are better.");
                break;

            case SATURDAY: case SUNDAY:
                System.out.println("Weekends are best.");
                break;

            default:
                System.out.println("Midweek days are so-so.");
                break;
        }
    }

    public static void main(String[] args)
    {
        SwitchWithEnumForDaysOfTheWeek firstDay =
           new SwitchWithEnumForDaysOfTheWeek(Day.MONDAY);
        firstDay.tellItLikeItIs();
        SwitchWithEnumForDaysOfTheWeek thirdDay =
           new SwitchWithEnumForDaysOfTheWeek(Day.WEDNESDAY);
        thirdDay.tellItLikeItIs();
        SwitchWithEnumForDaysOfTheWeek fifthDay =
           new SwitchWithEnumForDaysOfTheWeek(Day.FRIDAY);
        fifthDay.tellItLikeItIs();
        SwitchWithEnumForDaysOfTheWeek sixthDay =
           new SwitchWithEnumForDaysOfTheWeek(Day.SATURDAY);
        sixthDay.tellItLikeItIs();
        SwitchWithEnumForDaysOfTheWeek seventhDay =
           new SwitchWithEnumForDaysOfTheWeek(Day.SUNDAY);
        seventhDay.tellItLikeItIs();
    }
}