public class DemoPauseInExecution
{
  public static void main(String[] args)
  {
	try // compiler requires try/catch blocks when working with threads
	{
		int i; // my counter for the loop iteration
		System.out.println("Computers are stupid but fast ... ");
		for(i = 0; i < 23; i++)
		{
			if (i <= 5)
			{
				System.out.println(i);
			}
			else if (i < 5 | i < 10)
			{
				System.out.println("I'll take it slow for a while ... ");
				// call a static method of a class
				// see http://docs.oracle.com/javase/7/docs/api/java/lang/Thread.html#sleep%28long%29
				Thread.sleep(1500); // pause for 1.5 seconds
				System.out.println(i);
			}
			else if (i == 10)
			{
				System.out.println("Back to full speed ... ");
			}
			else
			{
				System.out.println(i);
			}
		}
	} // end try block
	catch(InterruptedException e) // compiler requires try/catch blocks when working with threads
	{
		System.out.println(e);
    }
  } // end the main method and main thread
} // end class