/* Demonstrate the foreach style of enhanced for loop,
   which is well suited for processing an array. */
class ForDemoWithForEachAlphabet
{
  public static void main(String[] args)
  {
	int i, k;
	//char[] myLetters = new char[26];
	char[] myLetters = new char[91]; // for the for-each loop
	char[] myLetters26 = new char[26]; // for a regular for loop

	for(i = 65, k = 0; i <= 90; i++, k++)
	{
		myLetters[i] = (char)i;
		myLetters26[k] = myLetters[i];
		System.out.println(myLetters26[k]);
	}

    // print the long array
    for(int x : myLetters)
    {
      System.out.println("myLetters[x] " + myLetters[x]);
    }

	for(int j = 25; j >= 0; j--)
	{
	  System.out.println(myLetters26[j]);
    }

  }
}