import java.util.*;
import java.text.*;

class TimerDemo
{
    public static void main(String[] args)
    {
		Date now = new Date();
		DecimalFormat nf = new DecimalFormat("##.##");
		Scanner sc = new Scanner(System.in); // constructor
		System.out.print("The date and time are now " + now + "\n By the way, What is your name?");

		double startTime = System.nanoTime();
		String userName = sc.next();
		double estimatedTime = (System.nanoTime() - startTime)/1000000000;

		System.out.println(userName + ", the time it took you to repond was " + nf.format(estimatedTime) + " seconds.");

		System.out.println("Is short-circuit AND truly faster?.");
		startTime = System.nanoTime();
		if((2 + 2 ==4) & (4 + 4 ==8)) System.out.println(System.nanoTime() - startTime);

		startTime = System.nanoTime();
		if((2 + 2 ==4) && (4 + 4 ==8)) System.out.println(System.nanoTime() - startTime);

		System.out.println("2nd try: Is short-circuit AND truly faster?.");
		startTime = System.nanoTime();
		if((100%10 == 0) & (5 * 5 == 25)) System.out.println(System.nanoTime() - startTime);

		startTime = System.nanoTime();
		if((100%10 == 0) && (5 * 5 == 25)) System.out.println(System.nanoTime() - startTime);

		System.out.println("3rd try: Is short-circuit AND truly faster?.");
		startTime = System.nanoTime();
		if(true & true) System.out.println(System.nanoTime() - startTime);

		startTime = System.nanoTime();
		if(true && true) System.out.println(System.nanoTime() - startTime);

		System.out.println("Creating first a NON-empty string, then an empty string.");
		startTime = System.nanoTime();
		String s2 = new String("Hello");
		System.out.println(System.nanoTime() - startTime);
		startTime = System.nanoTime();
		String s = new String();
		System.out.println(System.nanoTime() - startTime);

		System.out.println("Creating an empty string, than a non-empty string.");
		startTime = System.nanoTime();
		String s3 = new String();
		System.out.println(System.nanoTime() - startTime);
		startTime = System.nanoTime();
		String s4 = new String("Goodbye");
		System.out.println(System.nanoTime() - startTime);

		System.out.println("What if the string is already in the JVM?");
		startTime = System.nanoTime();
		String s5 = new String("Goodbye");
		System.out.println(System.nanoTime() - startTime);

		System.out.println("What if the string is a reference to an existing string?");
		startTime = System.nanoTime();
		String s6 = s5;
		System.out.println(System.nanoTime() - startTime);

		System.out.println("Creating an empty string, than a non-empty string.");
		startTime = System.nanoTime();
		String s7 = new String();
		System.out.println(System.nanoTime() - startTime);

		startTime = System.nanoTime();
		String s8 = new String("Adios");
		System.out.println(System.nanoTime() - startTime);

		System.out.println("What if the string is already in the JVM?");
		startTime = System.nanoTime();
		String s9 = new String("Goodbye");
		System.out.println(System.nanoTime() - startTime);

		System.out.println("What if the string is a reference to an existing string?");
		startTime = System.nanoTime();
		String s10 = s5;
		System.out.println(System.nanoTime() - startTime);

	}
}